import { parseTime } from '@/utils'
import { optionsFilter } from '@/quickComponents/utils'

export const agentOptions = [
  {
    label: '教育机构',
    value: 'ACADEMIC_EDUCATION',
  },
  {
    label: '非教育机构',
    value: 'NON_ACADEMIC_EDUCATION',
  },
  {
    label: '用人单位',
    value: 'EMPLOYER',
  },
]

// 表格字段
export const tableFields = {
  staffName: '姓名',
  staffPhone: '电话',
  businessType: {
    label: '机构类型',
    filter: (status) => optionsFilter(status, agentOptions),
  },
  businessName: '机构名称',
  createDate: {
    label: '申请时间',
    filter: (time) => parseTime(time),
  },
}
// 头部筛选字段
export const filterFields = [
  {
    prop: 'name',
    props: {
      placeholder: '请输机构名称',
    },
  },
]

// export const createFields = {
//   'staffName': '姓名',
//   // 'synopsis': '概要',
//   'content': {
//     label: '内容',
//     type: 'editor'
//   },
// }
